Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005519TestLinkReportspublic2013-02-06 19:382013-05-26 18:50
Reporteraostad 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSServer2008OS VersionR2
Product Version1.9.5 (2012 Q4 - bug fixing) 
Fixed in Version1.9.6 (2013 Q1 - bug fixing) 
Summary0005519: Unassigned test cases to a platform show up in "test plan report"
DescriptionIn "Test Plan Report", test cases and test suites that are not under a platform are still listed in under the platforms. For example, if there are
1) 2 Test suites (TS1, TS2)
2) 3 test cases in each test suite (total=6 TC1..TC6)
3) and 3 platforms (p1, p2, p3)
4) TS1->TC1 under P1
   TS1->TC2 under P1
   TS1-TC3-> under P1

5) the same for TS2:
   TS2->TC4 under P2
   TS2->TC5 under P2
   TS2->TC6-> under P2

NOTE: Platform P3 is not used at all.

Now if you get a "Test Plan Report" and click on any Test suite (not project level), the report shows test suites and test cases repeats 3 times under 3 platforms while we know that platform 3 is never been used and test cases are only under one platform.

There is no issue, if you get the report from project level.
Steps To ReproduceAssuming there is a project with test plan and build defined:
Create 2 test suites (TS1, TS2)
Create 3 test cases in TS1 (TC1, TC2, TC3)
Create 3 test cases in TS2 (TC4, TC5, TC6)
Create 3 platforms (P1, P2, P3)
Add all 3 platforms
Add TC1, TC2, and TC3 with platform P1 to your test plan
Add TC4, TC5, and TC6 with platform P2 to your test plan
NOTE: P3 is not used

Go to report page and click on "Test Plan Report".
Click on TS1.
It is expected to see only TS1 with TC1, TC2, TC3 under P1. But you see them under P2 and P3 too.
Do the same thing with TS2. you 'll see the same result.
Click on top level (project level) for the report. (OK)
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)SQL Server 2008
BrowserAny
PHP Version5.3.13
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon Test plan report issue with platforms.jpg [^] (118,457 bytes) 2013-02-06 21:11


jpg file icon Test plan report issue with platforms_TS2.jpg [^] (72,590 bytes) 2013-02-06 21:36


jpg file icon Test plan report issue with platforms_All TS.jpg [^] (74,281 bytes) 2013-02-06 21:36

- Relationships
child of 0005406closedfman Availables hot-fixes for 1.9.5 & How To get full fixed package from gitorious 

-  Notes
(0018293)
aostad (reporter)
2013-02-06 21:38

I've added 3 screenshots one for TestSuite_01, the second one is for TestSuite_02, and 3rd shows a report of all test suites. As you see when the report is from All test suites the result is correct.
(0018326)
fman (administrator)
2013-02-15 20:29

http://gitorious.org/testlink-ga/testlink-code/commit/b7f54e299c3d4747835349665f79fc05dc12571c [^]

- Issue History
Date Modified Username Field Change
2013-02-06 19:38 aostad New Issue
2013-02-06 21:11 aostad File Added: Test plan report issue with platforms.jpg
2013-02-06 21:36 aostad File Added: Test plan report issue with platforms_TS2.jpg
2013-02-06 21:36 aostad File Added: Test plan report issue with platforms_All TS.jpg
2013-02-06 21:38 aostad Note Added: 0018293
2013-02-15 20:28 fman Tag Attached: TO BE FIXED on 2.0
2013-02-15 20:29 fman Note Added: 0018326
2013-02-15 20:29 fman Summary Unassigned test cases to a platform show up in "test plan report" (MSSQL) => Unassigned test cases to a platform show up in "test plan report"
2013-02-15 20:29 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-02-15 20:29 fman Fixed in Version => 1.9.6 (2013 Q1 - bug fixing)
2013-02-15 20:30 fman Status new => resolved
2013-02-15 20:30 fman Resolution open => fixed
2013-02-15 20:30 fman Assigned To => fman
2013-02-15 20:30 fman Relationship added child of 0005406
2013-05-26 18:50 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker